org.restlet.engine.component

## Class ComponentContext

- java.lang.Object
- - org.restlet.Context
  - - org.restlet.engine.component.ComponentContext

    public class ComponentContext
    extends Context

Context allowing access to the component's connectors.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ComponentContext(ComponentHelper componentHelper)` Constructor.

### Method Summary

Methods
`Context` `createChildContext()` Creates a protected child context.
`protected ComponentHelper` `getComponentHelper()` Returns the component helper.
`protected void` `setComponentHelper(ComponentHelper componentHelper)` Sets the component helper.

### Methods inherited from class org.restlet.Context

`getAttributes, getClientDispatcher, getCurrent, getCurrentLogger, getDefaultEnroler, getDefaultVerifier, getLogger, getParameters, getServerDispatcher, setAttributes, setClientDispatcher, setCurrent, setDefaultEnroler, setDefaultVerifier, setLogger, setLogger, setParameters, setServerDispatcher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentContext

    public ComponentContext(ComponentHelper componentHelper)

Constructor.

Parameters:
  `componentHelper` - The component helper.

### Method Detail

#### createChildContext

    public Context createChildContext()

Description copied from class: `Context`
Creates a protected child context. This is especially useful for new application attached to their parent component, to ensure their isolation from the other applications. By default it just creates a new context instance.

Overrides:
  `createChildContext` in class `Context`
Returns:
  The child context.

#### getComponentHelper

    protected ComponentHelper getComponentHelper()

Returns the component helper.

Returns:
  The component helper.

#### setComponentHelper

    protected void setComponentHelper(ComponentHelper componentHelper)

Sets the component helper.

Parameters:
  `componentHelper` - The component helper.